{{- if .Values.roleBinding.create -}}
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  namespace: {{ .Values.workerNamespace }}
  name: {{ include "singularity-execution-environment.roleBindingName" . }}
  labels:
    {{- include "singularity-execution-environment.labels" . | nindent 4 }}
  {{- with .Values.roleBinding.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
subjects:
- kind: ServiceAccount
  name: {{ include "singularity-execution-environment.serviceAccountName" . }}
  namespace: {{ .Release.Namespace }}
roleRef:
  kind: ClusterRole
  name: {{ include "singularity-execution-environment.roleName" . }}
  apiGroup: rbac.authorization.k8s.io
{{- end -}}
